Package net.commoble.exmachina.internal.util

# Class Maths

java.lang.Object
net.commoble.exmachina.internal.util.Maths

public final class Maths extends Object
Extra math utils

## Method Summary

Modifier and Type
Method
Description
`static org.apache.commons.lang3.math.Fraction`
`safeMultiplyFraction(org.apache.commons.lang3.math.Fraction a, org.apache.commons.lang3.math.Fraction b, org.apache.commons.lang3.math.Fraction fallback)`
Attempts to multiply fractions, returning a fallback in case of overflow exception

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### safeMultiplyFraction

public static org.apache.commons.lang3.math.Fraction safeMultiplyFraction(org.apache.commons.lang3.math.Fraction a, org.apache.commons.lang3.math.Fraction b, org.apache.commons.lang3.math.Fraction fallback)
Attempts to multiply fractions, returning a fallback in case of overflow exception

Parameters:
  `a` - Fraction to multiply by the other fraction
  `b` - Fraction to multiply the other fraction by
  `fallback` - Fraction to return if the resulting fraction's numerator or denominator would exceed Integer.MAX_VALUE
Returns:
  Fraction returned by a.multiplyBy(b) if possible, or the fallback if an overflow would occur